[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# THelpDBISourceFile

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: lazhelpintf.pas line 197

`type THelpDBISourceFile = class(THelpDBItem)`
`public`
`constructor Create();` |  | Constructor for the class instance.
`function FileMatches(); virtual;` |  | Indicates if the specified file name matches the value in the Filename property.
`function GetFullFilename; virtual;` |  |
`function GetBasePath; virtual;` |  | Gets the value for the BasePath needed to access the file.
`published`
`property BasePathObject: TObject; [rw]` |  | Represents the BasePath used to access the source file.
`property Filename: string; [rw]` |  |
`end;`

## Inheritance

`THelpDBISourceFile` |  |
`THelpDBItem` |  |
`TPersistent`
?
`TObject`